function onUse(cid, item, frompos, itemEx, topos)

local bike = {lookType = 1394} --- LookType do player em cima da bike. homem
local bike1 = {lookType = 1393} --- LookType do player em cima da bike. mulher
local speed = 4000--- Velocidade que a bike terá.

if (getPlayerStorageValue(cid, 17000) >= 1 or getPlayerStorageValue(cid, 63215) >= 1) and not canFishWhileSurfingOrFlying then
doPlayerSendCancel(cid, "Voce nao pode subir na bike de fly/surf.")
return true
end

if getPlayerStorageValue(cid, 32001) == 1 then
doRemoveCondition(cid, CONDITION_OUTFIT)
doChangeSpeed(cid, -speed)
setPlayerStorageValue(cid, 32001, 0)
else
if getPlayerSex(cid) == 1 then -- homem
doChangeSpeed(cid, 1*speed)
doSetCreatureOutfit(cid, bike, -1)
setPlayerStorageValue(cid, 32001, 1)
elseif getPlayerSex(cid) == 0 then -- homem
doChangeSpeed(cid, 1*speed)
doSetCreatureOutfit(cid, bike1, -1)
setPlayerStorageValue(cid, 32001, 1)
end

end
return true

end